# vkamrk dynamicly loads modules that reference static functions in the main binary
%define _disable_ld_no_undefined 1

# define use_git to 1, to use the git version
%global use_git 1
%global codate 20250123
%global commit0 2bf2ca7f1623db7ad7840a4dd626444d11830815
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%define rel 2

Name:           vkmark
Version:        2025.01
#
%if %{use_git}
Release:        %mkrel %rel.%{codate}.git%{shortcommit0}.1
%else
Release:        %mkrel %rel
%endif
#
Summary:        Vulkan benchmark suite
License:        LGPLv2.1
Group:          Development/X11
URL:            https://github.com/vkmark/vkmark
%if %{use_git}
Source0:        https://github.com/vkmark/vkmark/archive/%{commit0}.tar.gz#/%{name}-%{version}-%{shortcommit0}.tar.gz
%else
Source0:        https://github.com/vkmark/vkmark/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
%endif

# Patches from git upstream
Patch0100:      0001-kms-Fix-modifier-support-for-legacy-modesetting.patch
Patch0101:      0002-kms-Get-modifiers-from-the-primary-plane-compatible-.patch
Patch0102:      0003-kms-Use-the-implicit-modifier-gbm-API-when-only-INVA.patch
Patch0103:      0004-kms-Specify-modifier-for-DRM-framebuffers-when-possi.patch
Patch0104:      0005-scenes-Use-dedicated-uniform-buffer-per-image-when-n.patch
Patch0105:      0006-display-Properly-handle-Vulkan-errors-during-probing.patch
Patch0106:      0007-scenes-shading-Add-missing-fragment-stage-flag-for-u.patch
Patch0107:      0008-build-Enable-precompiled-headers.patch
Patch0108:      0009-github-drop-ubuntu-20.04-due-to-retirement.patch
Patch0109:      0010-meson-replace-deprecated-get_pkgconfig_variable.patch
Patch0110:      0011-meson-fix-cross-compilation-50-75.patch
Patch0111:      0012-src-meson.build-revert-to-older-form-to-find-vx.xml.patch

BuildRequires:  meson >= 0.45

BuildRequires:  pkgconfig(assimp)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-icccm)

%description
vkmark is an extensible Vulkan benchmark suite with targeted
configurable scenes.

vkmark offers a suite of scenes that can be used to measure various
aspects of Vulkan performance. The way in which each scene is rendered
is configurable through a set of options. To list the available scenes
and their acceptable options you can use the -l, --list-scenes command
line option.

In vkmark, a benchmark is defined as a scene plus a set of option
values. You can specify the list and order of the benchmarks to run by
using the -b, --benchmark command line option (possibly multiple
times). If no benchmarks are specified, a default set of benchmarks is
used. If a benchmark option is not specified it assumes its default
value (listed with -l, --list-scenes).

As a special case, a benchmark description string is allowed to not
contain a scene name (i.e. to start with ':'). In this case, any
specified option values are used as the default values for benchmarks
following this description string.

%prep
%if %{use_git}
%autosetup -p1 -n %{name}-%{commit0}
%else
%autosetup -p1
%endif

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING-LGPL2.1
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jul 23 2025 ghibo <ghibo> 2025.01-2.20250123.git2bf2ca7.1.mga9
+ Revision: 2258559
- Merge patches from git upstream
- backport vkmark (required for vulkan testing)
- Initial release, inspired to FC package
- imported package vkmark


* Wed Jul 23 2025 ghibo <ghibo> 2025.01-1.20250123.git2bf2ca7.1.mga10
- initial release inspired to FC package.
